#
# Conditional build:
%bcond_without	tests		# build without tests

%define	basever	3.12
%define	postver	0
Summary:	Linux kernel headers for use with C libraries
Summary(pl.UTF-8):	Nagłówki jądra Linuksa do użytku z bibliotekami C
Name:		linux-libc-headers
Version:	%{basever}.%{postver}
Release:	1
Epoch:		7
License:	GPL v2
Group:		Development
Source0:	https://www.kernel.org/pub/linux/kernel/v3.x/linux-%{basever}.tar.xz
# Source0-md5:	cc6ee608854e0da4b64f6c1ff8b6398c
%if "%{postver}" > "0"
Source1:	https://www.kernel.org/pub/linux/kernel/v3.x/patch-%{version}.xz
# Source1-md5:	628876a432c0d4090013b383abac20e4
%endif
Patch0:		%{name}-esfq.patch
Patch1:		%{name}-wrr.patch
Patch2:		%{name}-fbsplash.patch
Patch3:		%{name}-imq.patch
Patch4:		%{name}-pom-set.patch
Patch5:		%{name}-atm-vbr.patch
Patch6:		vserver.patch
AutoReqProv:	no
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.568
Requires(pre):	fileutils
Provides:	alsa-driver-devel
Provides:	glibc-kernel-headers = %{epoch}:%{version}-%{release}
Obsoletes:	alsa-driver-devel
Obsoletes:	glibc-kernel-headers
Obsoletes:	glibc-kernheaders
Conflicts:	lm_sensors-devel < 2.8.2-2
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch ppc ppc64
%define	target_arch powerpc
%else
%define	target_arch %{_target_base_arch}
%endif

# no objects to extract debug info from
%define		_enable_debug_packages	0

%description
This package includes the C header files that specify the interface
between the Linux kernel and userspace libraries and programs. The
header files define structures and constants that are needed for
building most standard programs and are also needed for rebuilding the
glibc package.

%description -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe C, które definiują interfejs
między jądrem Linuksa a bibliotekami i programami działającymi w
przestrzeni użytkownika. Pliki nagłówkowe definiują struktury i stałe
potrzebne do zbudowania większości standardowych programów, są także
potrzebne do przebudowania pakietu glibc.

%prep
%setup -q -c
cd linux-%{basever}
%if "%{postver}" > "0"
bzip2 -dc %{SOURCE1} | patch -p1
%endif
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C linux-%{basever} headers_install \
	INSTALL_HDR_PATH=$RPM_BUILD_ROOT%{_prefix} \
	ARCH=%{target_arch}

%if %{with tests}
%{__make} -C linux-%{basever} headers_check \
	INSTALL_HDR_PATH=$RPM_BUILD_ROOT%{_prefix} \
	ARCH=%{target_arch}
%endif

# provided by glibc-headers
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/scsi

# currently provided by libdrm-devel
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/drm

# trash
find $RPM_BUILD_ROOT%{_includedir} -type f \
	-name '..check.cmd' -o -name '.check' -o \
	-name '..install.cmd' -o -name '.install' \
| xargs %{__rm}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
[ ! -L /usr/include/linux ] || rm -f /usr/include/linux
[ ! -L /usr/include/asm ] || rm -f /usr/include/asm
[ ! -L /usr/include/sound ] || rm -f /usr/include/sound

%files
%defattr(644,root,root,755)
%{_includedir}/asm
%{_includedir}/asm-generic
%{_includedir}/linux
%{_includedir}/mtd
%{_includedir}/rdma
%{_includedir}/sound
%{_includedir}/video
%{_includedir}/xen
%changelog
* Tue Nov 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/linux-libc-headers.git;a=log;h=master

* Mon Nov 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 190ecb2
- updated to 3.12[.0]
- updated wrr patch

* Wed Oct 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f624005
- up to 3.11.5

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 6e39b26
- updated to 3.11

* Tue Jul 16 2013 Marcin Krol <hawk@tld-linux.org> 575dab1
- updated to 3.10.1

* Tue Jul 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 95938f7
- updated to 3.10[.0]

* Thu Jun 20 2013 Marcin Krol <hawk@tld-linux.org> c564ee4
- up to 3.9.6

* Fri Jun 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9194b58
- up to 3.9.5

* Tue May 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 06fceff
- updated to 3.9[.0]
- removed obsolete endian patch

* Tue Mar 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 28947a4
- up to 3.8.2

* Tue Feb 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 0524f0e
- updated to 3.8.0

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cafa47
- up to 3.7.8

* Fri Jan 18 2013 Jan Rękorajski <baggins@pld-linux.org> f77de81
- 3.7.3

* Sun Jan 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d24141
- up to 3.7.2

* Thu Dec 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0349d8e
- up to 3.7.1

* Wed Dec 12 2012 Jakub Bogusz <qboosh@pld-linux.org> d3addd7
- updated to 3.7[.0]
- updated all patches wrt. uapi subdir

* Thu Nov 08 2012 Elan Ruusamäe <glen@delfi.ee> a85ddbe
- up to 3.6.6 (no changes to headers)

* Thu Nov 08 2012 Elan Ruusamäe <glen@delfi.ee> 32f5647
- do headers_check

* Thu Nov 08 2012 Elan Ruusamäe <glen@delfi.ee> 9898622
- add target_arch macro for ARCH value

* Thu Oct 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 8d794d4
- updated to 3.6[.0]

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1aeec16
- up to 3.5.4

